## escapework/manager-banners

Módulo de cadastramento de banners para integração com o escapework/manager.

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
{
    "require": {
        "escapework/manager-banners": "0.6.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
}
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\Banners\Providers\ManagerBannersServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager-subscribers:configure
```

### Tamanhos dos banners

Para configurar os tamanhos dos banners, edite o array no arquivo `app/config/packages/escapework/manager-banners/config.php`. Para tamanhos específicos de cada grupo, crie uma chave nova no array, com o ID do grupo como o valor da chave.

```php
return array(
    /*
    |--------------------------------------------------------------------------
    | Tamanhos
    |--------------------------------------------------------------------------
    */
    'sizes' => array(

    /*
    |--------------------------------------------------------------------------
    | Fallback de tamanhos para os grupos que não tiverem configurações
    |--------------------------------------------------------------------------
    */
    'default' => array(
        'default' => array(
            'width'  => 950,
            'height' => 200,
        ),
        'thumb' => array(
            'width'  => 200,
            'height' => 75,
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Tamanhos do grupo 1 (Geral)
    |--------------------------------------------------------------------------
    */
    1 => array(
        'default' => array(
            'width'  => 950,
            'height' => 200,
        ),
        'thumb' => array(
            'width'  => 200,
            'height' => 75,
        ),
    ),
);
```

Depois disso, você já poderá acessar o cadastro de banners pela URL `http://seusite/manager/banners`.

### Buscando os banenrs ativos

```php
$banner  = new EscapeWork\Manager\Banners\Models\Banner;
$banners = $banner->getActives();
```

### Todo

* Testes unitários;
* Grupos de banners;
* Tamanhos configuráveis;